/*
 * Copyright 2020 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/* Define the PIO[ANAMODE] bit macro (SDK 2.6.x and older miss this bit macro definition) */
#ifndef IOCON_PIO_ANAMODE_MASK
#define IOCON_PIO_ANAMODE_MASK  (0x40U)
#define IOCON_PIO_ANAMODE_SHIFT (6U)
#define IOCON_PIO_ANAMODE(x)    (((uint32_t)(((uint32_t)(x)) << IOCON_PIO_ANAMODE_SHIFT)) & IOCON_PIO_ANAMODE_MASK)
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO029_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Controls input glitch filter.: Filter disabled. No input filtering is done. */
#define PIO029_FILTEROFF_DISABLED 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 0. */
#define PIO029_FUNC_ALT0 0x00u

/*! @name PIO0_29 (coord B13), U24[13]/P0_29-ISP_FC0_RXD
  @{ */
#define UART0_POLLFORACTIVITY_RX_GPIO_GPIO GPIO /*!<@brief GPIO device name: GPIO */
#define UART0_POLLFORACTIVITY_RX_GPIO_PORT 0U   /*!<@brief PORT device name: 0U */
#define UART0_POLLFORACTIVITY_RX_GPIO_PIN 29U   /*!<@brief 0U pin index: 29 */
                                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART0_PollForActivity(void); /* Function assigned for the Cortex-M4F */

/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO029_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Controls input glitch filter.: Filter disabled. No input filtering is done. */
#define PIO029_FILTEROFF_DISABLED 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO029_FUNC_ALT1 0x01u
/*!
 * @brief
 * Selects function mode (on-chip pull-up/pull-down resistor control).
 * : Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO029_MODE_INACTIVE 0x00u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO030_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Controls input glitch filter.: Filter disabled. No input filtering is done. */
#define PIO030_FILTEROFF_DISABLED 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO030_FUNC_ALT1 0x01u
/*!
 * @brief
 * Selects function mode (on-chip pull-up/pull-down resistor control).
 * : Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO030_MODE_INACTIVE 0x00u

/*! @name PIO0_29 (coord B13), U24[13]/P0_29-ISP_FC0_RXD
  @{ */
#define UART0_RX_PORT 0U /*!<@brief PORT device name: 0U */
#define UART0_RX_PIN 29U /*!<@brief 0U pin index: 29 */
                         /* @} */

/*! @name PIO0_30 (coord A2), U24[12]/P0_30-ISP_FC0_TXD
  @{ */
#define UART0_TX_PORT 0U /*!<@brief PORT device name: 0U */
#define UART0_TX_PIN 30U /*!<@brief 0U pin index: 30 */
                         /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART0_InitPins(void); /* Function assigned for the Cortex-M4F */

#define PIO029_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO029_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO030_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO030_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_29 (coord B13), U24[13]/P0_29-ISP_FC0_RXD
  @{ */
#define UART0_RESTOREDEFAULT_RX_GPIO GPIO /*!<@brief GPIO device name: GPIO */
#define UART0_RESTOREDEFAULT_RX_PORT 0U   /*!<@brief PORT device name: 0U */
#define UART0_RESTOREDEFAULT_RX_PIN 29U   /*!<@brief 0U pin index: 29 */
                                          /* @} */

/*! @name PIO0_30 (coord A2), U24[12]/P0_30-ISP_FC0_TXD
  @{ */
#define UART0_RESTOREDEFAULT_TX_GPIO GPIO /*!<@brief GPIO device name: GPIO */
#define UART0_RESTOREDEFAULT_TX_PORT 0U   /*!<@brief PORT device name: 0U */
#define UART0_RESTOREDEFAULT_TX_PIN 30U   /*!<@brief 0U pin index: 30 */
                                          /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART0_RestoreDefault(void); /* Function assigned for the Cortex-M4F */

/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO323_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Controls input glitch filter.: Filter disabled. No input filtering is done. */
#define PIO323_FILTEROFF_DISABLED 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO323_FUNC_ALT1 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO324_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Controls input glitch filter.: Filter disabled. No input filtering is done. */
#define PIO324_FILTEROFF_DISABLED 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO324_FUNC_ALT1 0x01u

/*! @name PIO3_23 (coord C2), J11[10]/J9[3]/U10[3]/J17[5]/U19[10]/P3_23-FC2_SDAX
  @{ */
#define I2C2_SDA_PORT 3U /*!<@brief PORT device name: 3U */
#define I2C2_SDA_PIN 23U /*!<@brief 3U pin index: 23 */
                         /* @} */

/*! @name PIO3_24 (coord E2), J11[9]/J9[1]/U10[2]/J17[4]/U19[2]/P3_24-FC2_SCLX
  @{ */
#define I2C2_SCL_PORT 3U /*!<@brief PORT device name: 3U */
#define I2C2_SCL_PIN 24U /*!<@brief 3U pin index: 24 */
                         /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void I2C2_InitPins(void); /* Function assigned for the Cortex-M4F */

#define PIO323_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO323_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO324_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO324_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void I2C2_RestoreDefault(void); /* Function assigned for the Cortex-M4F */

/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO320_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO320_FUNC_ALT1 0x01u
/*!
 * @brief Selects function mode (on-chip pull-up/pull-down resistor control).: Pull-up. Pull-up resistor enabled. */
#define PIO320_MODE_PULL_UP 0x02u
/*!
 * @brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO321_ANAMODE_DISABLED 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO321_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO321_FUNC_ALT1 0x01u
/*!
 * @brief Selects function mode (on-chip pull-up/pull-down resistor control).: Pull-up. Pull-up resistor enabled. */
#define PIO321_MODE_PULL_UP 0x02u
/*!
 * @brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO322_ANAMODE_DISABLED 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO322_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO322_FUNC_ALT1 0x01u
/*!
 * @brief Selects function mode (on-chip pull-up/pull-down resistor control).: Pull-up. Pull-up resistor enabled. */
#define PIO322_MODE_PULL_UP 0x02u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO330_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 1. */
#define PIO330_FUNC_ALT1 0x01u
/*!
 * @brief Selects function mode (on-chip pull-up/pull-down resistor control).: Pull-up. Pull-up resistor enabled. */
#define PIO330_MODE_PULL_UP 0x02u

/*! @name PIO3_20 (coord N2), J9[9]/P3_20-FC9_SCK
  @{ */
#define SPI9_SCK_PORT 3U /*!<@brief PORT device name: 3U */
#define SPI9_SCK_PIN 20U /*!<@brief 3U pin index: 20 */
                         /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void SPI9_InitPins(void); /* Function assigned for the Cortex-M4F */

/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO320_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 0. */
#define PIO320_FUNC_ALT0 0x00u
/*!
 * @brief
 * Selects function mode (on-chip pull-up/pull-down resistor control).
 * : Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO320_MODE_INACTIVE 0x00u
/*!
 * @brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO321_ANAMODE_DISABLED 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO321_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 0. */
#define PIO321_FUNC_ALT0 0x00u
/*!
 * @brief
 * Selects function mode (on-chip pull-up/pull-down resistor control).
 * : Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO321_MODE_INACTIVE 0x00u
/*!
 * @brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO322_ANAMODE_DISABLED 0x01u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO322_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 0. */
#define PIO322_FUNC_ALT0 0x00u
/*!
 * @brief
 * Selects function mode (on-chip pull-up/pull-down resistor control).
 * : Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO322_MODE_INACTIVE 0x00u
/*!
 * @brief Select Analog/Digital mode.: Digital mode. */
#define PIO330_DIGIMODE_DIGITAL 0x01u
/*!
 * @brief Selects pin function.: Alternative connection 0. */
#define PIO330_FUNC_ALT0 0x00u
/*!
 * @brief
 * Selects function mode (on-chip pull-up/pull-down resistor control).
 * : Inactive.
 * Inactive (no pull-down/pull-up resistor enabled).
 */
#define PIO330_MODE_INACTIVE 0x00u

/*! @name PIO3_20 (coord N2), J9[9]/P3_20-FC9_SCK
  @{ */
#define SPI9_RESTOREDEFAULT_SCK_GPIO GPIO /*!<@brief GPIO device name: GPIO */
#define SPI9_RESTOREDEFAULT_SCK_PORT 3U   /*!<@brief PORT device name: 3U */
#define SPI9_RESTOREDEFAULT_SCK_PIN 20U   /*!<@brief 3U pin index: 20 */
                                          /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void SPI9_RestoreDefault(void); /* Function assigned for the Cortex-M4F */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
